RTEMS: qoriq_ccsr Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
qoriq_ccsr Struct Reference

## Public Member Functions
| QORIQ_FILL (0x00000, 0x00c08, qoriq_lcc)
| QORIQ_FILL (0x00c08, 0x01000, qoriq_law[12])
| QORIQ_FILL (0x01000, 0x02000, qoriq_ecm)
| QORIQ_FILL (0x02000, 0x03000, qoriq_ddr_controller)
| QORIQ_FILL (0x03000, 0x04000, qoriq_i2c)
| QORIQ_RESERVE (0x04000, 0x04500)
| QORIQ_FILL (0x04500, 0x04600, qoriq_uart)
| QORIQ_FILL (0x04600, 0x04700, qoriq_uart)
| QORIQ_RESERVE (0x04700, 0x05000)
| QORIQ_FILL (0x05000, 0x06000, qoriq_local_bus)
| QORIQ_FILL (0x06000, 0x07000, qoriq_spi)
| QORIQ_RESERVE (0x07000, 0x08000)
| QORIQ_FILL (0x08000, 0x09000, qoriq_pci_express)
| QORIQ_FILL (0x09000, 0x0a000, qoriq_pci_express)
| QORIQ_FILL (0x0a000, 0x0b000, qoriq_pci_express)
| QORIQ_RESERVE (0x0b000, 0x0c000)
| QORIQ_FILL (0x0c000, 0x0d000, qoriq_dma)
| QORIQ_RESERVE (0x0d000, 0x0f000)
| QORIQ_RESERVE (0x10000, 0x16000)
| QORIQ_FILL (0x16000, 0x17000, qoriq_tdm)
| QORIQ_RESERVE (0x17000, 0x20000)
| QORIQ_FILL (0x20000, 0x21000, qoriq_l2_cache)
| QORIQ_FILL (0x21000, 0x22000, qoriq_dma)
| QORIQ_FILL (0x22000, 0x23000, qoriq_usb)
| QORIQ_FILL (0x23000, 0x24000, qoriq_usb)
| QORIQ_FILL (0x24000, 0x25000, tsec_registers)
| QORIQ_FILL (0x25000, 0x26000, tsec_registers)
| QORIQ_FILL (0x26000, 0x27000, tsec_registers)
| QORIQ_RESERVE (0x27000, 0x2c000)
| QORIQ_FILL (0x2c000, 0x2d000, qoriq_tdm_dma)
| QORIQ_RESERVE (0x2d000, 0x2e000)
| QORIQ_FILL (0x2e000, 0x2f000, qoriq_esdhc)
| QORIQ_RESERVE (0x2f000, 0x30000)
| QORIQ_FILL (0x30000, 0x31000, qoriq_sec)
| QORIQ_RESERVE (0x31000, 0x40000)
| QORIQ_FILL (0x40000, 0x80000, qoriq_pic)
| QORIQ_RESERVE (0x80000, 0xb0000)
| QORIQ_FILL (0xb0000, 0xb1000, tsec_registers)
| QORIQ_FILL (0xb1000, 0xb2000, tsec_registers)
| QORIQ_FILL (0xb2000, 0xb3000, tsec_registers)
| QORIQ_RESERVE (0xb3000, 0xb4000)
| QORIQ_FILL (0xb4000, 0xb5000, tsec_registers)
| QORIQ_FILL (0xb5000, 0xb6000, tsec_registers)
| QORIQ_FILL (0xb6000, 0xb7000, tsec_registers)
| QORIQ_RESERVE (0xb7000, 0xc0000)
| QORIQ_FILL (0xc0000, 0xe0000, qoriq_serial_rapid_io)
| QORIQ_FILL (0xe0000, 0xe1000, qoriq_global_utilities)
| QORIQ_FILL (0xe1000, 0xe2000, qoriq_performance_monitor)
| QORIQ_FILL (0xe2000, 0xe3000, qoriq_debug_watchpoint)
| QORIQ_FILL (0xe3000, 0xe4000, qoriq_serdes)
| QORIQ_RESERVE (0xe4000, 0xf0000)
| QORIQ_FILL (0xf0000, 0x100000, qoriq_boot_rom)

## Data Fields
qoriq_lcc | lcc
qoriq_law | law [12]
qoriq_ecm | ecm
qoriq_ddr_controller | ddr_controller
qoriq_i2c | i2c
qoriq_uart | uart_0
qoriq_uart | uart_1
qoriq_local_bus | local_bus
qoriq_spi | spi
qoriq_pci_express | pci_express_3
qoriq_pci_express | pci_express_2
qoriq_pci_express | pci_express_1
qoriq_dma | dma_2
qoriq_gpio | gpio
qoriq_tdm | tdm
qoriq_l2_cache | l2_cache
qoriq_dma | dma_1
qoriq_usb | usb_1
qoriq_usb | usb_2
tsec_registers | tsec_1
tsec_registers | tsec_2
tsec_registers | tsec_3
qoriq_tdm_dma | tdm_dma
qoriq_esdhc | esdhc
qoriq_sec | sec
qoriq_pic | pic
tsec_registers | tsec_1_group_0
tsec_registers | tsec_2_group_0
tsec_registers | tsec_3_group_0
tsec_registers | tsec_1_group_1
tsec_registers | tsec_2_group_1
tsec_registers | tsec_3_group_1
qoriq_serial_rapid_io | serial_rapid_io
qoriq_global_utilities | global_utilities
qoriq_performance_monitor | performance_monitor
qoriq_debug_watchpoint | debug_watchpoint
qoriq_serdes | serdes
qoriq_boot_rom | boot_rom

The documentation for this struct was generated from the following file:

- bsps/powerpc/qoriq/include/bsp/qoriq.h